Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyMessage.Header

    java.lang.Object
      org.jboss.mq.SpyMessage.Header

Enclosing class:
  SpyMessage

public static class SpyMessage.Header
extends Object

The message headers

Field Summary
`DurableSubscriptionID` | `durableSubscriberID` For durable subscriptions
`boolean` | `jmsCorrelationID` Whether the correlation is a string
`byte[]` | `jmsCorrelationIDbyte` The correlation in bytes
`String` | `jmsCorrelationIDString` The correlation string
`int` | `jmsDeliveryMode` The delivery mode
`javax.jms.Destination` | `jmsDestination` The destination
`long` | `jmsExpiration` The expiration time
`String` | `jmsMessageID` The message id
`int` | `jmsPriority` The message priority
`HashMap` | `jmsProperties` Properties
`boolean` | `jmsPropertiesReadWrite` Whether the properties are writable
`boolean` | `jmsRedelivered` Set by the provider
`javax.jms.Destination` | `jmsReplyTo` The reply to destination
`long` | `jmsTimeStamp` The send timestamp
`String` | `jmsType` The message type
`long` | `messageId` For ordering in the JMSServerQueue (set on the server side)
`boolean` | `msgReadOnly` Message body
`String` | `producerClientId` For noLocal to be able to tell if this was a locally produced message

Constructor Summary
`SpyMessage.Header()`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### jmsDestination

    public javax.jms.Destination jmsDestination

  The destination

### jmsDeliveryMode

    public int jmsDeliveryMode

  The delivery mode

### jmsExpiration

    public long jmsExpiration

  The expiration time

### jmsPriority

    public int jmsPriority

  The message priority

### jmsMessageID

    public String jmsMessageID

  The message id

### jmsTimeStamp

    public long jmsTimeStamp

  The send timestamp

### jmsCorrelationID

    public boolean jmsCorrelationID

  Whether the correlation is a string

### jmsCorrelationIDString

    public String jmsCorrelationIDString

  The correlation string

### jmsCorrelationIDbyte

    public byte[] jmsCorrelationIDbyte

  The correlation in bytes

### jmsReplyTo

    public javax.jms.Destination jmsReplyTo

  The reply to destination

### jmsType

    public String jmsType

  The message type

### jmsRedelivered

    public boolean jmsRedelivered

  Set by the provider

### jmsProperties

    public HashMap jmsProperties

  Properties

### jmsPropertiesReadWrite

    public boolean jmsPropertiesReadWrite

  Whether the properties are writable

### msgReadOnly

    public boolean msgReadOnly

  Message body

### producerClientId

    public String producerClientId

  For noLocal to be able to tell if this was a locally produced message

### durableSubscriberID

    public DurableSubscriptionID durableSubscriberID

  For durable subscriptions

### messageId

    public transient long messageId

  For ordering in the JMSServerQueue (set on the server side)

Constructor Detail

### SpyMessage.Header

    public SpyMessage.Header()

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.